General discussion

  • Creator
    Topic
  • #2094953

    IIS installation

    Locked

    by avachon ·

    Hi, we are setting up a test installation of IIS on a server already running nt4.0 with SP5. We have run across several odbc errors (version errors) toward the end of the install and consequently, initialization issues once IIS is loaded (this is IIS 4.0 from the option pack). Are our troubles caused by SP5 and do we have to uninstall SP5 and load SP3? If that is the case, can be upgrade to SP5 after the installation? Our machine exceeds all MS requirements. This machine also is not running anyoffice products such as access or excel. I know IIS 5.0 is included with 2000, but that is not a test option for us at the moment. I appreciate all help. Thanks.

All Comments

  • Author
    Replies
    • #3835244

      IIS installation

      by dc1 ·

      In reply to IIS installation

      You can load IIS on a server that has another SP besides SP3. After the install I would re-apply SP5 and re-install whatever version of MDAC is installed on the server.

      • #3836209

        IIS installation

        by avachon ·

        In reply to IIS installation

        Thanks, but the problem turned out to be that we needed a previous version of IIS and used the option pack as an upgrade. Thanks for helping us out though.

    • #3835231

      IIS installation

      by avachon ·

      In reply to IIS installation

      We were thinking along the same lines as you DC1. Here’s where we are now: We tried clearing version conflicts; but I just uninstalled IIS. The problem may be that we have to allow IIS to overwrite newer DLLs and then, after the reinstall, install SP5. We will try that now. We also realize we need to reinstall MDAC 2.1. Also, we are running Explorer 5.0, but I don’t think that’s an issue.

    • #3835798

      IIS installation

      by ds9 ·

      In reply to IIS installation

      Hi guys,

      We have IIS4.0 installed and operating fine on three differents servers (All with WINN NT 4.0 sp6a). according to release notes at MS that I recall reading (Or maybe with the option Pack), IIS4 MUST be installed over a previous version. When we installed IIS3 from the service pack 3 CD, THEN installed IIS4 from the option pack, all errors went away, and now all works fine on all our client Web servers.

      Sorry, I don’t recall the reason, but it appears that some .DLL files do not get properly installed if the original was not already on the disk to be upgraded.???

      Hope it helps.

      George

      • #3836210

        IIS installation

        by avachon ·

        In reply to IIS installation

        Hi DS9 – You were right. After we reinstalled NT4.0, we went ahead and installed the basic IIS included with NT server, then the service pack. Upgraded IIS via the option pack and voila, no more obdc errors. Thank you very much for your insight.

    • #3835741

      IIS installation

      by avachon ·

      In reply to IIS installation

      George, thanks a lot. I viewed the optiion pack release notes, but clearly missed the part about installing an earlier version of IIS. We are in the midst of reinstalling nt server since this is a test machine. We’ll follow your advice and with luck, we’ll have it running soon. Thanks again (and yes, we got tons of .dll of errors during the latter part of the install.

    • #3836208

      IIS installation

      by avachon ·

      In reply to IIS installation

      This question was closed by the author

Viewing 4 reply threads